Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlrpc.webserver
Class HttpServletResponseImpl

    java.lang.Object
      org.apache.xmlrpc.webserver.HttpServletResponseImpl

    public class HttpServletResponseImpl

extends java.lang.Object

Stub implementation of a `javax.servlet.http.HttpServletResponse` with lots of unimplemented methods. I implemented only those, which are required for testing the `XmlRpcServlet`. Perhaps someone else is adding more at a later time?

Constructor Summary
`HttpServletResponseImpl(java.net.Socket pSocket)` Creates a new instance.

Method Summary
`void` | `addCookie(Cookie pCookie)`
`void` | `addDateHeader(java.lang.String pHeader, long pDate)`
`void` | `addHeader(java.lang.String pHeader, java.lang.String pValue)`
`void` | `addIntHeader(java.lang.String pHeader, int pValue)`
`boolean` | `containsHeader(java.lang.String pHeader)`
`java.lang.String` | `encodeRedirectUrl(java.lang.String pURL)`
`java.lang.String` | `encodeRedirectURL(java.lang.String pURL)`
`java.lang.String` | `encodeUrl(java.lang.String pURL)`
`java.lang.String` | `encodeURL(java.lang.String pURL)`
`void` | `flushBuffer()`
`int` | `getBufferSize()`
`java.lang.String` | `getCharacterEncoding()`
`java.lang.String` | `getContentType()` Returns the content type used for the MIME body sent in this response.
`java.util.Locale` | `getLocale()`
`ServletOutputStream` | `getOutputStream()`
`static java.lang.String` | `getStatusMessage(int pStatusCode)` Returns a default message for a given HTTP status code.
`java.io.PrintWriter` | `getWriter()`
`boolean` | `isCommitted()`
`void` | `reset()`
`void` | `resetBuffer()`
`void` | `sendError(int pStatusCode)`
`void` | `sendError(int pStatusCode, java.lang.String pMessage)`
`protected void` | `sendError(int pStatusCode, java.lang.String pMessage, java.lang.String pDescription)`
`void` | `sendRedirect(java.lang.String arg0)`
`void` | `setBufferSize(int pBufferSize)`
`void` | `setCharacterEncoding(java.lang.String pCharset)` Sets the character encoding (MIME charset) of the response being sent to the client, for example, to UTF-8.
`void` | `setContentLength(int pContentLength)`
`void` | `setContentType(java.lang.String pType)`
`void` | `setDateHeader(java.lang.String arg0, long arg1)`
`void` | `setHeader(java.lang.String pHeader, java.lang.String pValue)`
`void` | `setIntHeader(java.lang.String pHeader, int pValue)`
`void` | `setLocale(java.util.Locale pLocale)`
`void` | `setStatus(int pStatusCode)`
`void` | `setStatus(int pStatusCode, java.lang.String pMessage)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpServletResponseImpl

    public HttpServletResponseImpl(java.net.Socket pSocket)
                            throws java.io.IOException

  Creates a new instance.

  Parameters:
    `pSocket` - The clients socket.
  Throws:
    `java.io.IOException` - Accessing the sockets output stream failed.

Method Detail

### addCookie

    public void addCookie(Cookie pCookie)

### addDateHeader

    public void addDateHeader(java.lang.String pHeader,
                              long pDate)

### addHeader

    public void addHeader(java.lang.String pHeader,
                          java.lang.String pValue)

### addIntHeader

    public void addIntHeader(java.lang.String pHeader,
                             int pValue)

### containsHeader

    public boolean containsHeader(java.lang.String pHeader)

### encodeRedirectURL

    public java.lang.String encodeRedirectURL(java.lang.String pURL)

### encodeRedirectUrl

    public java.lang.String encodeRedirectUrl(java.lang.String pURL)

### encodeURL

    public java.lang.String encodeURL(java.lang.String pURL)

### encodeUrl

    public java.lang.String encodeUrl(java.lang.String pURL)

### sendError

    public void sendError(int pStatusCode)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### sendError

    public void sendError(int pStatusCode,
                          java.lang.String pMessage)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### sendError

    protected void sendError(int pStatusCode,
                             java.lang.String pMessage,
                             java.lang.String pDescription)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### sendRedirect

    public void sendRedirect(java.lang.String arg0)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### setDateHeader

    public void setDateHeader(java.lang.String arg0,
                              long arg1)

### setHeader

    public void setHeader(java.lang.String pHeader,
                          java.lang.String pValue)

### setIntHeader

    public void setIntHeader(java.lang.String pHeader,
                             int pValue)

### setStatus

    public void setStatus(int pStatusCode)

### setStatus

    public void setStatus(int pStatusCode,
                          java.lang.String pMessage)

### flushBuffer

    public void flushBuffer()
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### getBufferSize

    public int getBufferSize()

### setCharacterEncoding

    public void setCharacterEncoding(java.lang.String pCharset)

  Sets the character encoding (MIME charset) of the response being sent to the client, for example, to UTF-8. If the character encoding has already been set by setContentType(java.lang.String) or setLocale(java.util.Locale), this method overrides it. Calling setContentType(java.lang.String) with the String of text/html and calling this method with the String of UTF-8 is equivalent with calling setContentType with the String of text/html; charset=UTF-8.

  This method can be called repeatedly to change the character encoding. This method has no effect if it is called after getWriter has been called or after the response has been committed.

  Containers must communicate the character encoding used for the servlet response's writer to the client if the protocol provides a way for doing so. In the case of HTTP, the character encoding is communicated as part of the Content-Type header for text media types. Note that the character encoding cannot be communicated via HTTP headers if the servlet does not specify a content type; however, it is still used to encode text written via the servlet response's writer.

  Parameters:
    `pCharset` - A String specifying only the character set defined by IANA Character Sets (http://www.iana.org/assignments/character-sets)
  Since:
    Servlet API 2.4
  See Also:
    `setLocale(Locale)`

### getCharacterEncoding

    public java.lang.String getCharacterEncoding()

### getLocale

    public java.util.Locale getLocale()

### getOutputStream

    public ServletOutputStream getOutputStream()
                                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### getWriter

    public java.io.PrintWriter getWriter()
                                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### isCommitted

    public boolean isCommitted()

### reset

    public void reset()

### resetBuffer

    public void resetBuffer()

### setBufferSize

    public void setBufferSize(int pBufferSize)

### setContentLength

    public void setContentLength(int pContentLength)

### getContentType

    public java.lang.String getContentType()

  Returns the content type used for the MIME body sent in this response. The content type proper must have been specified using setContentType(java.lang.String) before the response is committed. If no content type has been specified, this method returns null. If a content type has been specified and a character encoding has been explicitly or implicitly specified as described in getCharacterEncoding(), the charset parameter is included in the string returned. If no character encoding has been specified, the charset parameter is omitted.

  Returns:
    A String specifying the content type, for example, text/html; charset=UTF-8, or null
  Since:
    Servlet API 2.4
  See Also:
    `setContentType(String)`

### setContentType

    public void setContentType(java.lang.String pType)

### setLocale

    public void setLocale(java.util.Locale pLocale)

### getStatusMessage

    public static java.lang.String getStatusMessage(int pStatusCode)

  Returns a default message for a given HTTP status code.

  Parameters:
    `pStatusCode` - The status code being queried.
  Returns:
    The default message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.